%define upstream_name    B-Hooks-OP-Check
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Wrap OP check callbacks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-parent

Requires:      perl-parent

%description
This module provides a c api for XS modules to hook into the callbacks of
'PL_check'.

the ExtUtils::Depends manpage is used to export all functions for other XS
modules to use. Include the following in your Makefile.PL:

    my $pkg = ExtUtils::Depends->new('Your::XSModule', 'B::Hooks::OP::Check');
    WriteMakefile(
        ... # your normal makefile flags
        $pkg->get_makefile_vars,
    );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/B
%perl_vendorarch/auto/B




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-6.mga3
+ Revision: 363305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.190.0-5.mga3
+ Revision: 250295
- rebuild for perl 5.16

* Sun Feb 19 2012 pterjan <pterjan> 0.190.0-4.mga2
+ Revision: 210851
- Rebuild as it is missin gon i586

* Wed Sep 14 2011 takashi <takashi> 0.190.0-3.mga2
+ Revision: 143218
- update to 0.19

* Sat Jun 11 2011 sander85 <sander85> 0.180.0-3.mga2
+ Revision: 103550
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.180.0-2.mga1
+ Revision: 23199
- cleaning spec file
- imported package perl-B-Hooks-OP-Check

